// Ensure that the footer will always reside beyond the viewport when the page is loaded.

// Divide the page into two sections:
//     1. non-footer
//     2. footer
//
// If the non-footer content’s height is smaller than the viewport’s height, expand the non-footer
// section to take up full viewport height. Otherwise do nothing.


.footer-manager

    // flex container
    display flex
    flex-direction column
    justify-content flex-start
    align-items stretch


    &__non-footer

        // flex item
        flex-basis 100vh
        flex-grow 1
        flex-shrink 0


    &__footer

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0
